Get Data Source

Prev Next
Get
/api/v1/Authoring/data-sources/{id}

Returns information about a specified data source

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
id
integer (int32) Required

Data Source ID

Responses
200

OK

Expand All
object
name
string | null

The data source name

description
string | null

The data source description

environment
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

connection
object (Configuration.Api.Models.v1.DataSourceConnectionGet)
engine
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

connectionType
string
Valid values[ "SqlServer", "OLEDB", "ODBC", "Snowflake", "PostgreSql", "PythonScript", "SnowflakeEngine" ]
dataSourceTemplate
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

dataAgentGroup
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

description
string | null

The connection description

configuration

The connection's configuration

OneOf
Configuration.Api.Models.v1.DataSourceConnectionConfigurationDatabase
object (Configuration.Api.Models.v1.DataSourceConnectionConfigurationDatabase)
connectionString
string

The connection configuration's connection string

Min length1
password
string | null

The connection configuration's password

Configuration.Api.Models.v1.DataSourceConnectionConfigurationScript
object (Configuration.Api.Models.v1.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null

The script to run prior to data source executions

postExecutionScript
string | null

The script to run following data source executions

parameters
Array of object (Configuration.Api.Models.v1.DataSourceConnectionParsedParameter) | null

List of parameters associated with the data source script connection

object
id
integer (int32)

The ID of the parameter

value
string | null

The Value of the parameter

hasSecretValue
boolean

Whether the parameter has a secret value

clearValue
boolean

Whether the parameter should clear its value

resetValue
boolean

Whether the parameter should reset its value

Configuration.Api.Models.v1.DataSourceConnectionConfigurationSnowflake
object (Configuration.Api.Models.v1.DataSourceConnectionConfigurationSnowflake)
databaseName
string

The name of the Snowflake database being referenced by the connection

Min length1
schemaName
string | null

The name of the Snowflake schema being referenced by the connection

projects
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of projects allowed to use the data source

object
id
integer (int32)

The object's ID

name
string | null

The object's name

permissions
Array of object (Configuration.Api.Models.v1.DataSourcePermission) | null

List of permissions added to the data source

object
type
string
Valid values[ "User", "Group" ]
name
string

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.DataSourceRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "ViewMetadata", "CreateTests", "RunTests", "ViewTestResults", "RunProfileSets", "ManagePermissions", "ManageConnections", "ManageDataProfiling", "ExportTestResults" ]
owner
string | null

The data source owner

customFields
object | null

List of custom fields added to the data source

property*
404

Not Found

object
error
string | null